import * as smartenv from '@push.rocks/smartenv';
const smartenvInstance = new smartenv.Smartenv();
// node native scope
import type dnsType from 'dns';
const dns: typeof dnsType = await smartenvInstance.getSafeNodeModule('dns');

export { dns };

// pushrocks scope
import * as smartdelay from '@push.rocks/smartdelay';
import * as smartpromise from '@push.rocks/smartpromise';
import * as smartrequest from '@push.rocks/smartrequest';

export { smartdelay, smartenv, smartpromise, smartrequest };

import * as tsclass from '@tsclass/tsclass';

export { tsclass };
